package org.qatools.util;

import org.apache.log4j.Logger;

public class ThreadUtil extends QAToolsUtil {
    private static Logger sLogger = Logger.getLogger(ThreadUtil.class);


    // ------------------------------------------------------
    // ----- sleep 
    // ------------------------------------------------------

    /**
     * 
     * @param seconds
     */
    public static void sleepSec(int seconds) {
    	sleepSec(null, seconds);
    }

    /**
     * 
     */
    public static void sleepSec(String msg, int seconds) {
    	String msg2 = "sleep " + seconds + "sec";
    	if (msg!=null) {
    		msg2 = msg + " - " + msg2;
    	}
    	sLogger.debug(msg2);
    	System.out.println(msg2);
    	
    	for (int i=1; i<=seconds; i++) {
    		System.out.println("Sleep " + i + " of " + seconds + "(sec)");
        	try {
        		Thread.sleep(1000);
        	} catch(Exception e) {
        		sLogger.error(e.toString());    		
        	}
    	}
    }

    
    /**
     * 
     * @param mins
     */
    public static void sleepMins(int mins) {
    	sleepMins(null, mins);
    }

    /**
     * 
     * @param mins
     */
    public static void sleepMins(String msg, int mins) {
    	String msg2 = "sleep " + mins + "mins";
    	if (msg!=null) {
    		msg2 = msg + " - " + msg2;
    	}
    	sLogger.debug(msg2);
    	System.out.println(msg2);

    	
    	for (int i=1; i<=mins; i++) {
    		System.out.println("Sleep " + i + " of " + mins + "(mins)");
        	try {
        		Thread.sleep(60 * 1000);
        	} catch(Exception e) {
        		sLogger.error(e.toString());    		
        	}
    	}
    }

    	
}
